cc.Class({
    extends: cc.Component,

    properties: {
        // foo: {
        //    default: null,      // The default value will be used only when the component attaching
        //                           to a node for the first time
        //    url: cc.Texture2D,  // optional, default is typeof default
        //    serializable: true, // optional, default is true
        //    visible: true,      // optional, default is true
        //    displayName: 'Foo', // optional
        //    readonly: false,    // optional, default is false
        // },
        // ...
    },

    // use this for initialization
    onLoad: function () {

    },

    onBtnClick: function(event){
        let msg = event.currentTarget.name + '  clicked';
        this.showTip(msg);
    },

    showTip: function(msg){
        var size = cc.director.getWinSize();
        var noticeNode = new cc.Node();
        noticeNode.setAnchorPoint(cc.v2(0.5, 0.5));
        noticeNode.setPosition(cc.v2(size.width / 2 + 200, size.height / 2 - 50));

        var msglabel = new cc.Node();
        msglabel.setAnchorPoint(cc.v2(0.5, 0.5));
        var label = msglabel.addComponent(cc.Label);
        label.fontSize = 32;
        label.lineHeight = 40;
        label.string = msg;
        noticeNode.addChild(msglabel);
        cc.director.getScene().addChild(noticeNode);

        noticeNode.setContentSize(cc.size(label.node.width + 150, 60));
        noticeNode.runAction(cc.sequence(
            cc.delayTime(1),
            cc.removeSelf(true)));
    }

    // called every frame, uncomment this function to activate update callback
    // update: function (dt) {

    // },
});
